game_level_hints.levels["Level04_01_S8"] = function()
	return 
    {
		miniscenes
		({
			level04_scene04_01 =
			{
				on_scene("level04_scene04_02", end_level("basement01")),
				on_scene("level04_miniscene_scheme", end_level("back_close_scheme")),
				on_scene("level04_miniscene_transformer", end_level("back_close_transformer")),
				on_scene("level04_miniscene_box03", end_level("back_close_box03"))
			},
			level04_scene04_02 =
			{
				IF({ state("Door01", "door01_02"), NOT(state("Hrjundel01", "hrjundel01_01")) }, on_scene("level04_scene04_01", end_level("area01_scene04_02"))),
				on_scene("level04_scene04_03", end_level("area02_scene04_02")),
				on_scene("level04_miniscene_box04", end_level("back_close_box04")),
				on_scene("level04_miniscene_masks", end_level("back_close_masks")),
				on_scene("level04_miniscene_notebook", end_level("back_close_notebook"))
			},
			level04_scene04_03 =
			{
				on_scene("level04_scene04_02", end_level("area_scene04_03")),
				on_scene("level04_miniscene_hog", end_level("exit_hog")),
				on_scene("level04_miniscene_car", end_level("back_close_car"))
			},
			level04_miniscene_scheme =
			{
				on_scene("level04_scene04_01", miniscene("scheme01"))
			},
			level04_miniscene_transformer =
			{
				on_scene("level04_scene04_01", miniscene("Door02")),
				IF(NOT(hidden("lock_shaman")), on_scene("level04_scene04_01", miniscene("lock_shaman"))),
				on_scene("level04_scene04_01", miniscene("transformer01"))
			},
			level04_miniscene_box03 =
			{
				on_scene("level04_scene04_01", miniscene("box03"))
			},
			level04_miniscene_box04 =
			{
				on_scene("level04_scene04_02", miniscene("box04"))
			},
			level04_miniscene_masks =
			{
				on_scene("level04_scene04_02", miniscene("Mask02_big")),
				on_scene("level04_scene04_02", miniscene("Mask02_wall")),
				on_scene("level04_scene04_02", miniscene("Mask03_wall")),
				on_scene("level04_scene04_02", miniscene("Mask01_wall")),
				on_scene("level04_scene04_02", miniscene("area_masks"))
			},
			level04_miniscene_notebook =
			{
				IF(NOT(state("Desktop02", "desktop02_01")), on_scene("level04_scene04_02", miniscene("notebook01")))
			},
			level04_miniscene_hog =
			{
				IF({ on_level("Funnel01"), NOT(hidden("Funnel01")) }, on_scene("level04_scene04_03", miniscene("hint_car"))),
				IF({ on_level("Funnel01"), NOT(hidden("Funnel01")) }, on_scene("level04_scene04_03", miniscene("Car01")))
			},
			level04_miniscene_car =
			{
				IF(state("Car01", "car01_01"), on_scene("level04_scene04_03", click("Car01", "Key02"))),
				IF({ NOT(hidden("door_car01")), hidden("Key_car"), NOT(on_level("Funnel01")) }, on_scene("level04_scene04_03", miniscene("hint_car"))),
				IF({ NOT(hidden("door_car01")), hidden("Key_car"), NOT(on_level("Funnel01")) }, on_scene("level04_scene04_03", miniscene("Car01"))),
				IF({ NOT(hidden("door_car01")), hidden("Key_car"), hidden("Funnel01") }, on_scene("level04_scene04_03", miniscene("hint_car"))),
				IF({ NOT(hidden("door_car01")), hidden("Key_car"), hidden("Funnel01") }, on_scene("level04_scene04_03", miniscene("Car01"))),
				IF({ NOT(hidden("door_car01")), state("Key_car", "key_car01"), NOT(on_level("Funnel01")) }, on_scene("level04_scene04_03", miniscene("hint_car"))),
				IF({ NOT(hidden("door_car01")), state("Key_car", "key_car01"), NOT(on_level("Funnel01")) }, on_scene("level04_scene04_03", miniscene("Car01"))),
				IF({ NOT(hidden("door_car01")), state("Key_car", "key_car01"), hidden("Funnel01") }, on_scene("level04_scene04_03", miniscene("hint_car"))),
				IF({ NOT(hidden("door_car01")), state("Key_car", "key_car01"), hidden("Funnel01") }, on_scene("level04_scene04_03", miniscene("Car01")))
			},
		}),
		
		on_scene("level04_scene04_01",
		{
			take("Hammer01"),
			click("Clock01", "Hammer01"),
			take("Gear01"),
			click("Hrjundel01", "Gear01"),
			IF({ state("Flag_scheme", "flag_scheme01"), hidden("hose05"), hidden("welding_apparatus04") }, miniscene("scheme01")),
			IF({ state("Flag_scheme", "flag_scheme01"), state("Block01", "block01_01") }, miniscene("scheme01")),
			take("Hose02"),
			click("Welding_apparatus", "Hose02"),
			take("Herb01"),
			take("Herb02"),
			take("Herb03"),
			take("Herb04"),
			take("Herb05"),
			take("Herb06"),
			take("Herb07"),
			take("Herb08"),
			take("Herb09"),
			take("Herb10")
		}),
		on_scene("level04_miniscene_transformer",
		{
			IF(state("Flag_herb", "flag_herb02"), click("mortar02_mini", "Herb_inv")),
			take("Pestle01_mini"),
			click("herb01_mini", "Pestle01_mini"),
			IF(NOT(hidden("mortar03_mini")), minigame("lock_transformer")),
			IF(state("Knife_switch01", "knife_switch01_01"), click("Knife_switch01")),
			IF({state("Knife_switch01", "knife_switch01_01"), state("Door02_mini", "door02_mini01")}, click("Door02_mini")),
		}),
		on_scene("level04_scene04_01",
		{
			IF({ NOT(hidden("hose05")), on_level("cord02"), NOT(in_cursor("cord02")), state("Cord01", "cord01_01"), hidden("welding_apparatus04") }, click("Cord01")),
			click("Socket01", "cord02")
		}),
		on_scene("level04_miniscene_box03",
		{
			take("Electrode01")
		}),
		on_scene("level04_scene04_01",
		{
			click("Block01", "Electrode01"),
			click("welding_mask01"),
			IF({ state("Block01", "block01_02"), on_level("block_electrode"), NOT(in_cursor("block_electrode")), NOT(hidden("welding_apparatus04")) }, click("Block01")),
			click("lock_door01", "block_electrode")
		}),
		on_scene("level04_scene04_02",
		{
			IF(state("Desktop02", "desktop02_01"), 
			{
				take("Dart01"),
				IF(state("Dart02", "dart02_01"), click("Dart02", "Dart01"))
			}),
			IF({ state("Pano01", "pano01_01"), state("Desktop02", "desktop02_01") },
			{
				take("Photo05"),
				take("Photo08"),
				take("Photo10"),
				take("Photo11"),
				take("Photo12")
			})
		}),
		on_scene("level04_miniscene_box04",
		{
			IF({ state("Flag_photo", "flag_photo02"), state("Desktop02", "desktop02_01"), state("Pano01", "pano01_01"), state("Frame01", "frame01_01") }, click("Frame01", "Photo_inv"))
		}),
		on_scene("level04_scene04_02",
		{
			IF({ state("Frame01", "frame01_02"), state("Desktop02", "desktop02_01") },
			{
				take("Mask01_big"),
				take("Mask03_big")			
			})
		}),
		on_scene("level04_miniscene_masks",
		{
			IF({ state("Frame01", "frame01_02"), state("Desktop02", "desktop02_01") },
			{
				IF(hidden("Mask01"), click("area_hint_masks")),
				IF(hidden("Mask03"), click("area_hint_masks")),
				IF({ NOT(hidden("Mask03")), NOT(state("Mask03", "mask03_04")), NOT(in_cursor("mask03_inv")) }, click("Mask03") ),
				IF({ NOT(hidden("Mask01")), NOT(state("Mask01", "mask01_08")), NOT(in_cursor("mask01_inv")) }, click("Mask01") ),
				IF({ NOT(hidden("Mask02")), NOT(state("Mask02", "mask02_03")), NOT(in_cursor("mask02_inv")) }, click("Mask02") ),
			})
		}),
		on_scene("level04_scene04_02",
		{
			IF(state("Desktop02", "desktop02_01"), minigame("notebook01"))
		}),
		on_scene("level04_miniscene_notebook",		
		{
			IF(state("Link02", "link02_01"), click("Link02")),
			IF(state("Link01", "link01_01"), click("Link01"))
		}),
		on_scene("level04_scene04_02",
		{
			take("Bottle03")
		}),
		on_scene("level04_scene04_01",
		{
			IF(state("Hrjundel01", "hrjundel01_03"), click("Hrjundel01", "Bottle03"))
		}),
		on_scene("level04_scene04_02",
		{
			IF({ state("Flag_stairs", "flag_stairs01"), state("Rope01", "rope01_01") }, click("Stairs01"))
		}),
		on_scene("level04_scene04_01",
		{
			IF(state("Hrjundel01", "hrjundel01_05"), take("file01", "Hrjundel01"))
		}),
		on_scene("level04_scene04_02",
		{
			IF(state("Rope01", "rope01_01"), click("Rope01", "file01")),
			IF({ state("Rope01", "rope01_02"), state("Stairs01", "stairs01_01") }, click("Stairs01")),
			IF({ state("Stairs01", "stairs01_02"), state("Guitar01", "guitar01_01") }, click("Guitar01"))
		}),
		on_scene("level04_scene04_01",
		{
			IF({ NOT(hidden("Sphere01")), NOT(state("Sphere01", "sphere01_03")) },
				{
					IF(state("Roll02", "roll02_01"), click("Roll02")),
					IF(state("Videorecorder01", "videorecorder01_01"), click("Videorecorder01")),
					IF(state("Drum01", "drum01_01"), click("Drum01")),
					click("Sphere01")
				}
			),
		}),
		on_scene("level04_miniscene_box04",
		{
			click("Cube01", "key01"),
			IF(state("Cube01", "cube01_02"), take("Key02"))
		}),
		on_scene("level04_miniscene_car",
		{
			IF({ state("Hat02", "hat02_01"), on_level("Wire_cutter01") }, click("Hat02")),
			IF(state("Hat02", "hat02_02"), take("Wire_cutter01"))
		}),
		on_scene("level04_scene04_03",
		{
			IF(state("Wire01", "wire01_01"), click("Wire01", "Wire_cutter01")),
			IF({ state("Wire01", "wire01_02"), on_level("Monkey_wrench01"), state("Door_cupboard02", "door_cupboard02_01") }, click("Door_cupboard02")),
			IF(state("Door_cupboard02", "door_cupboard02_02"), take("Monkey_wrench01"))
		}),
		on_scene("level04_scene04_01",
		{
			click("barrel02", "Monkey_wrench01"),
			IF(state("Socket01", "socket01_03"), take("Hose07", "Welding_apparatus")),
			IF(hidden("bolt01"), click("barrel02", "Hose07")),
			IF(state("Can01", "can01_02"), take("Can01"))			
		}),
		on_scene("level04_miniscene_hog",
		{
			take("Funnel01")
		}),
		on_scene("level04_scene04_03",
		{
			IF({ hidden("funnel02"), state("Benzine01", "benzine01_01"), in_inv("Funnel01") }, click("Benzine01")),
			IF({ hidden("funnel02"), state("Benzine01", "benzine01_02") }, click("benzine02", "Funnel01")),
			click("funnel02", "Can01")
		}),
		on_scene("level04_miniscene_car",
		{
			IF(state("Hrjundel02", "hrjundel02_03"), take("bullet01", "Hrjundel02"))
		}),
		on_scene("level04_scene04_01",
		{
			IF(on_level("cockroach_inv"), minigame("area_cockroach")),
			take("Thread01")
		}),
		on_scene("level04_scene04_03",
		{
			click("Crumb", "cockroach02")
		}),
		on_scene("level04_miniscene_car",
		{
			take("Cigarette_lighter01")
		}),
		on_scene("level04_scene04_03",
		{
			click("thread02", "Cigarette_lighter01")
		}),
		on_scene("level04_miniscene_car",
		{
			click("lock_steering", "Key02"),
			IF({ NOT(hidden("Key_car")), state("Key_car", "key_car01") }, click("Key_car") )
		}),
	}
end 